## org.aspectj.weaver.tools
Class DefaultTraceFactory

    java.lang.Object
      org.aspectj.weaver.tools.TraceFactory
          org.aspectj.weaver.tools.DefaultTraceFactory

    public class DefaultTraceFactory

extends TraceFactory

Field Summary
`static java.lang.String` `ENABLED_PROPERTY`
`static java.lang.String` `FILE_PROPERTY`

Fields inherited from class org.aspectj.weaver.tools.TraceFactory
`debug, DEBUG_PROPERTY, DEFAULT_FACTORY_NAME, FACTORY_PROPERTY`

Constructor Summary
`DefaultTraceFactory()`

Method Summary
`Trace` `getTrace(java.lang.Class clazz)`
`boolean` `isEnabled()`

Methods inherited from class org.aspectj.weaver.tools.TraceFactory
`getBoolean, getTraceFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENABLED_PROPERTY

    public static final java.lang.String ENABLED_PROPERTY

See Also:
  Constant Field Values

### FILE_PROPERTY

    public static final java.lang.String FILE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### DefaultTraceFactory

    public DefaultTraceFactory()

Method Detail

### isEnabled

    public boolean isEnabled()

### getTrace

    public Trace getTrace(java.lang.Class clazz)

  Overrides:
    `getTrace` in class `TraceFactory`